function fig = projectgui()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.

load projectgui

h0 = figure('Color',[0.7 0.7 0.7], ...
	'Colormap',gray(256), ...
	'HandleVisibility','callback', ...
	'Name','2-D CWT', ...
	'NumberTitle','off', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Position',[370 157 736 572], ...
	'Tag','2-D CWT', ...
	'ToolBar','none', ...
	'UserData','info');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.45 0.45 0.45], ...
	'ListboxTop',0, ...
	'Position',[424.5 219.75 114.75 196.5], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.45 0.45 0.45], ...
	'ListboxTop',0, ...
	'Position',[423.75 103.5 115.5 103.5], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
	'Position',[70.5 403.5 95.25 15.75], ...
	'String','Original Image', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
	'Position',[267.75 403.5 109.5 15.75], ...
	'String','2D CWT Coefficients', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','project_run edit_enter', ...
	'ListboxTop',0, ...
	'Position',[464.25 260.25 39.75 14.25], ...
	'String','30', ...
	'Style','edit', ...
	'Tag','EditScale');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.45 0.45 0.45], ...
	'FontSize',12, ...
	'ForegroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[440.25 386.25 93 17.25], ...
	'String','Load Input Image', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','project_run input_image', ...
	'ListboxTop',0, ...
	'Position',[447.75 369 77.25 17.25], ...
	'String',['girl ';'wbarb';'stick';'turb2';'nano '], ...
	'Style','popupmenu', ...
	'Tag','PopupInput', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','project_run run', ...
	'ListboxTop',0, ...
	'Position',[436.5 160.5 92.25 35], ...
	'String','Run', ...
	'Tag','PushRun');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','project_run slide_enter', ...
	'ListboxTop',0, ...
	'Max',100, ...
	'Min',1, ...
	'Position',[438 243.75 97.5 14.25], ...
	'Style','slider', ...
	'Tag','SliderScale', ...
	'Value',30);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.45 0.45 0.45], ...
	'FontSize',12, ...
	'ForegroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[430.25 273.75 95 17.25], ...
	'String','Scale(1 ~ 100)', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','project_run select_wavelet', ...
	'ListboxTop',0, ...
	'Position',[448.5 324 75.75 17.25], ...
	'String',['Sombrero';'Morlet  ';'Gauss   ';'DerGauss'], ...
	'Style','popupmenu', ...
	'Tag','PopupWavelet', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.45 0.45 0.45], ...
	'FontSize',12, ...
	'ForegroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[441.75 342 92.25 17.25], ...
	'String','Select Wavelet', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','project_run close', ...
	'ListboxTop',0, ...
	'Position',[437.25 115.5 91.5 35], ...
	'String','Close', ...
	'Tag','PushClose');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'FontSize',12, ...
	'ForegroundColor',[1 0 0], ...
	'ListboxTop',0, ...
	'Position',[350 24.75 160 17.25], ...
	'Style','text', ...
	'Tag','WarnMsg');
h1 = axes('Parent',h0, ...
	'Units','pixels', ...
	'Box','on', ...
	'CameraUpVector',[0 -1 0], ...
	'Color',[1 1 1], ...
	'ColorOrder',mat1, ...
	'Layer','top', ...
	'Position',[25 280 256 256], ...
	'Tag','Axes1', ...
	'XColor',[0 0 0], ...
	'XLim',[0.5 256.5], ...
	'XLimMode','manual', ...
	'XTickMode','manual', ...
	'YColor',[0 0 0], ...
	'YDir','reverse', ...
	'YLim',[0.5 256.5], ...
	'YLimMode','manual', ...
	'YTickMode','manual', ...
	'ZColor',[0 0 0]);
h2 = image('Parent',h1, ...
	'CData',[], ...
	'Tag','Axes1Image1', ...
	'XData',[1 256], ...
	'YData',[1 256]);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',mat3, ...
	'Tag','Axes1Text8', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-6.527450980392153 130.0058823529412 9.160254037844386], ...
	'Rotation',90, ...
	'Tag','Axes1Text7', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',[-24.59803921568627 -35.64117647058822 9.160254037844386], ...
	'Tag','Axes1Text6', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',mat4, ...
	'Tag','Axes1Text5', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = axes('Parent',h0, ...
	'Units','pixels', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat5, ...
	'Position',[300 280 256 256], ...
	'Tag','Axes2', ...
	'XColor',[0 0 0], ...
	'XLim',[0 256], ...
	'XLimMode','manual', ...
	'XTickLabel',['0  ';'0.2';'0.4';'0.6';'0.8';'1  '], ...
	'XTickLabelMode','manual', ...
	'XTickMode','manual', ...
	'YColor',[0 0 0], ...
	'YDir','reverse', ...
	'YLim',[0 256], ...
	'YLimMode','manual', ...
	'YTickMode','manual', ...
	'ZColor',[0 0 0]);
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',[128.5019607843137 -8.031372549019636 9.160254037844386], ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',mat6, ...
	'Rotation',90, ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'Interruptible','off', ...
	'Position',[557.1764705882353 292.1411764705882 9.160254037844386], ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',[128.5019607843137 263.0274509803921 9.160254037844386], ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = axes('Parent',h0, ...
	'Units','pixels', ...
	'CameraPosition',[0.5 0.5 9.160254037844391], ...
	'CameraPositionMode','manual', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat7, ...
	'Position',[144 25 273 200], ...
	'Tag','Axes3', ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
	'ZColor',[0 0 0]);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',mat8, ...
	'Tag','Axes3Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',mat9, ...
	'Rotation',90, ...
	'Tag','Axes3Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',[-0.5294117647058824 2.743718592964824 9.160254037844391], ...
	'Tag','Axes3Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4963235294117647 1.035175879396985 9.160254037844391], ...
	'Tag','Axes3Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
	'Position',[154.5 169.5 140.25 15.75], ...
	'String','Wavelet in Fourier Domain', ...
	'Style','text', ...
	'Tag','StaticText1');
if nargout > 0, fig = h0; end
